curl --location --request POST 'https://api-35.elogii.com/depots/createMany' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"items": [
{
"externalId": "TestDepot A",
"reference": "REF-1",
"address": "40 Clarendon Rd, Watford WD17 1HZ",
"postCode": "WD17 1HZ",
"city": "London",
"country": "United Kingdom",
"coordinates": [
-0.095146,
51.5156469
],
"contactName": "John",
"contactPhone": "71234567",
"contactEmail": "John@gmail.com",
"instructions": "Default depot"
},
{
"externalId": "TestDepot B",
"reference": "REF-2",
"address": "34 Upper Brook St, London W1K 7QS",
"postCode": "W1K 7QS",
"city": "London",
"country": "United Kingdom",
"coordinates": [
-0.1562390173828058,
51.51113139236668
],
"contactName": "Doe",
"contactPhone": "789101112",
"contactEmail": "doe@gmail.com",
"instructions": "Backup depot"
}
]
}'